package com.bergerkiller.bukkit.nolagg.logging;

import org.bukkit.Bukkit;
import org.bukkit.craftbukkit.scheduler.CraftScheduler;
import org.bukkit.plugin.Plugin;

import com.bergerkiller.bukkit.common.SafeField;
import com.bergerkiller.bukkit.common.utils.CommonUtil;

public class CustomCraftScheduler extends CraftScheduler {

//	@Override
//	public int scheduleSyncRepeatingTask(Plugin plugin, Runnable task, long delay, long period) {
//		System.out.println(PluginTimes.getStackTrace());
//		return super.scheduleSyncRepeatingTask(plugin, new TimedWrapper(plugin, task), delay, period);
//	}

	public CustomCraftScheduler() {
		super(CommonUtil.getCraftServer());
	}
	
	public static void bind() {
		SafeField.set(Bukkit.getServer(), "scheduler", new CustomCraftScheduler());
	}

}
